import * as i0 from '@angular/core';
import { Component, ViewEncapsulation, Input, NgModule } from '@angular/core';
import * as SimpleBar from 'simplebar';

class NgxSimplebarComponent {
    constructor(elRef) {
        this.elRef = elRef;
    }
    ngOnInit() { }
    ngAfterViewInit() {
        this.SimpleBar = new SimpleBar(this.elRef.nativeElement, this.options || {});
    }
    ngOnDestroy() {
        this.SimpleBar.unMount();
        this.SimpleBar = null;
    }
}
NgxSimplebarComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.7", ngImport: i0, type: NgxSimplebarComponent, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component });
NgxSimplebarComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.7", type: NgxSimplebarComponent, selector: "ngx-simplebar", inputs: { options: "options" }, host: { attributes: { "data-simplebar": "init" } }, ngImport: i0, template: "<div class=\"simplebar-wrapper\">\r\n  <div class=\"simplebar-height-auto-observer-wrapper\">\r\n    <div class=\"simplebar-height-auto-observer\"></div>\r\n  </div>\r\n\r\n  <div class=\"simplebar-mask\">\r\n    <div class=\"simplebar-offset\">\r\n      <div class=\"simplebar-content-wrapper\">\r\n        <div class=\"simplebar-content\">\r\n          <ng-content></ng-content>\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n  <div class=\"simplebar-placeholder\"></div>\r\n</div>\r\n<div class=\"simplebar-track simplebar-horizontal\">\r\n  <div class=\"simplebar-scrollbar\"></div>\r\n</div>\r\n<div class=\"simplebar-track simplebar-vertical\">\r\n  <div class=\"simplebar-scrollbar\"></div>\r\n</div>\r\n", styles: ["ngx-simplebar{display:block}\n"], encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.7", ngImport: i0, type: NgxSimplebarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ngx-simplebar', host: { 'data-simplebar': 'init' }, encapsulation: ViewEncapsulation.None, template: "<div class=\"simplebar-wrapper\">\r\n  <div class=\"simplebar-height-auto-observer-wrapper\">\r\n    <div class=\"simplebar-height-auto-observer\"></div>\r\n  </div>\r\n\r\n  <div class=\"simplebar-mask\">\r\n    <div class=\"simplebar-offset\">\r\n      <div class=\"simplebar-content-wrapper\">\r\n        <div class=\"simplebar-content\">\r\n          <ng-content></ng-content>\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n  <div class=\"simplebar-placeholder\"></div>\r\n</div>\r\n<div class=\"simplebar-track simplebar-horizontal\">\r\n  <div class=\"simplebar-scrollbar\"></div>\r\n</div>\r\n<div class=\"simplebar-track simplebar-vertical\">\r\n  <div class=\"simplebar-scrollbar\"></div>\r\n</div>\r\n", styles: ["ngx-simplebar{display:block}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }]; }, propDecorators: { options: [{
                type: Input,
                args: ['options']
            }] } });

class NgxSimplebarModule {
}
NgxSimplebarModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.7", ngImport: i0, type: NgxSimplebarModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgxSimplebarModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.7", ngImport: i0, type: NgxSimplebarModule, declarations: [NgxSimplebarComponent], exports: [NgxSimplebarComponent] });
NgxSimplebarModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.7", ngImport: i0, type: NgxSimplebarModule, imports: [[]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.7", ngImport: i0, type: NgxSimplebarModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        NgxSimplebarComponent
                    ],
                    imports: [],
                    exports: [
                        NgxSimplebarComponent
                    ]
                }]
        }] });

/*
 * Public API Surface of ngx-simplebar
 */

/**
 * Generated bundle index. Do not edit.
 */

export { NgxSimplebarComponent, NgxSimplebarModule };
//# sourceMappingURL=ngx-simplebar.mjs.map
